Bug 1011722 - python-cinder-2013.1.3-2.el6ost.noarch is missing dependency python-suds
python-cinder-2013.1.3-2.el6ost.noarch is missing dependency python-suds
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
3.0
All All
unspecified Severity high
: ---
: 3.0
Assigned To: Eric Harney
Haim
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 21:12 EDT by Dan Yocum
Modified: 2016-04-26 15:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 09:25:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2013-09-24 21:12:19 EDT
Description of problem:

Service openstack-cinder-volume fails to start with error:

Traceback (most recent call last):
  File "/usr/bin/cinder-volume", line 57, in <module>
    server = service.Service.create(binary='cinder-volume')
  File "/usr/lib/python2.6/site-packages/cinder/service.py", line 448, in create
    service_name=service_name)
  File "/usr/lib/python2.6/site-packages/cinder/service.py", line 343, in __init__
    *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/cinder/volume/manager.py", line 129, in __init__
    configuration=self.configuration)
  File "/usr/lib/python2.6/site-packages/cinder/openstack/common/importutils.py", line 40, in import_object
    return import_class(import_str)(*args, **kwargs)
  File "/usr/lib/python2.6/site-packages/cinder/openstack/common/importutils.py", line 30, in import_class
    __import__(mod_str)
  File "/usr/lib/python2.6/site-packages/cinder/volume/drivers/netapp/iscsi.py", line 30, in <module>
    import suds
ImportError: No module named suds


What's more, the python-cinder-2013.1.3-1.el6.noarch from Grizzly RDO *does* have the correct dependencies (NB: the RDO version is older).

Version-Release number of selected component (if applicable):

python-cinder-2013.1.3-2.el6ost.noarch
Comment 3 Ayal Baron 2013-10-02 10:29:52 EDT
Why is this a regression?

Note You need to log in before you can comment on or make changes to this bug.